All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.entities.edit.models.providers
Interface DynamicValuesHandlerInterface

All Known Implementing Classes:
  BusinessQueryDynamicValuesHandler

    public interface DynamicValuesHandlerInterface

This class defines the interface for creating a class that can process dynamic-list-generation XML

Field Summary
`static java.lang.String` | `INFORMATION_MAP_QUERY` Constant for InformationMapQuery query type
`static java.lang.String` | `LOCATION` Constant for defining the location attribute in the XML associated with a query
`static java.lang.String` | `SORT` Constant for defining the sort attribute in the XML associated with a query
`static java.lang.String` | `VALUE_DATAITEM_ID` Constant for defining the valueDataItemId attribute in the XML associated with a query

Method Summary
`DynamicValuesProviderInterface` | `handleDynamicValues(org.w3c.dom.Node dynamicValuesNode)` Process the node to obtain the parameters necessary to create the class associated with the query type.

Field Detail

### INFORMATION_MAP_QUERY

    static final java.lang.String INFORMATION_MAP_QUERY

  Constant for InformationMapQuery query type

  See Also:
    Constant Field Values

### LOCATION

    static final java.lang.String LOCATION

  Constant for defining the location attribute in the XML associated with a query

  See Also:
    Constant Field Values

### VALUE_DATAITEM_ID

    static final java.lang.String VALUE_DATAITEM_ID

  Constant for defining the valueDataItemId attribute in the XML associated with a query

  See Also:
    Constant Field Values

### SORT

    static final java.lang.String SORT

  Constant for defining the sort attribute in the XML associated with a query

  See Also:
    Constant Field Values

Method Detail

### handleDynamicValues

    DynamicValuesProviderInterface handleDynamicValues(org.w3c.dom.Node dynamicValuesNode)

  Process the node to obtain the parameters necessary to create the class associated with the query type.

  Parameters:
    `dynamicValuesNode` - node containing <DynamicValues> subtag

         <DynamicValues>
                        <InformationMapQuery location="sbip://hope/BipTree/blah/blah/foo.map"
                                valueDataItemId="dataItem1" sort=DataItemActionType.SORT_ASCENDING/>
         </DynamicValues>

  Returns:
    a class that will generate a query (.ie query type of InformationMap returns an instance of BusinessQueryDynamicValuesProvider). The class must implement the DynamicValuesProviderInterface.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.